Check if code point has the Uppercase Unicode property

- « IntlChar::isupper

- IntlChar::isUWhiteSpace »

- PHP Manual
- IntlChar
- Check if code point has the Uppercase Unicode property

# IntlChar::isUUppercase

(PHP 7, PHP 8)

IntlChar::isUUppercase — Check if code point has the Uppercase Unicode property

### Description

public static IntlChar::isUUppercase(int|string `$codepoint`): ?bool

Check if a code point has the Uppercase Unicode property.

This is the same as `IntlChar::hasBinaryProperty($codepoint, IntlChar::PROPERTY_UPPERCASE)`

> Note:

> This is different than IntlChar::isupper() and will return `true` for more characters.

### Parameters

`codepoint`

  The int codepoint value (e.g. `0x2603` for U+2603 SNOWMAN), or the character encoded as a UTF-8 string (e.g. `"\u{2603}"`)

### Return Values

Returns `true` if `codepoint` has the Uppercase Unicode property, `false` if not. Returns `null` on failure.

### Examples

Example #1 Testing different code points

    <?phpvar_dump(IntlChar::isUUppercase("A"));var_dump(IntlChar::isUUppercase("a"));var_dump(IntlChar::isUUppercase("Φ"));var_dump(IntlChar::isUUppercase("φ"));var_dump(IntlChar::isUUppercase("1"));?>

The above example will output:

    bool(true)
    bool(false)
    bool(true)
    bool(false)
    bool(false)

### See Also

- IntlChar::isupper() - Check if code point has the general category "Lu" (uppercase letter)
- IntlChar::hasBinaryProperty() - Check a binary Unicode property for a code point
- `IntlChar::PROPERTY_UPPERCASE`